/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.36
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.renderer.jni;


 /** 
  * Call from the JoGL display thread to figure drawing code using JNI 
  * @author Jean-Baptiste Silvy
  * @copyright INRIA 2007
  */
public class FigureScilabCallJNI {

  /**
   * Constructor. Should not be called
   */
  protected FigureScilabCallJNI() {
	throw new UnsupportedOperationException();
  }

  static {
    try {
        System.loadLibrary("scirenderer");
    } catch (SecurityException e) {
		System.err.println("A security manager exists and does not allow the loading of the specified dynamic library :");
		e.printStackTrace(System.err);
	} catch (UnsatisfiedLinkError e)	{
		System.err.println("The native library scirenderer does not exist or cannot be found.");
		e.printStackTrace(System.err);
    }
  }

  public final static native void displayFigure(int jarg1);
  public final static native void redrawFigure(int jarg1);
  public final static native void redrawSubwins(int jarg1);
  public final static native void rotateSubwin(long jarg1, double jarg2, double jarg3);
  public final static native long getClickedSubwinHandle(int jarg1, int jarg2, int jarg3);
  public final static native void zoomObject(long jarg1, int jarg2, int jarg3, int jarg4, int jarg5);
  public final static native void unzoomSubwinHandle(long jarg1);
}
